
const archive = () => {

}

function Server() {
    const instance = this;
    const { settings } = instance;
    const { port } = settings;

    instance.server = require('http').createServer();
    instance.server.on('connect', (req, socket, head) => {
        archive('connect');
    });

    instance.server.on('clientError', (err, socket) => {
        archive('clientError');
    });

    instance.server.on('request', function(request, response) {
        var host = request.headers.host;
        var origin = request.headers.origin;
        var method = request.method;
        const userAgent = request.headers['user-agent'];

        console.log({
            host,
            origin,
            method
        });
    });
    instance.server.listen(port, function () {
        archive('clientError');
    });
}

module.exports = function() {
    return new Server();
}
